
(in-package :asdf)

(defsystem "planning_environment_msgs-srv"
  :depends-on (:roslisp-msg-protocol :roslisp-utils :geometric_shapes_msgs-msg :geometry_msgs-msg :mapping_msgs-msg :motion_planning_msgs-msg :planning_environment_msgs-msg :roslib-msg :sensor_msgs-msg :trajectory_msgs-msg)
  :components ((:file "_package")
    (:file "GetRobotState" :depends-on ("_package"))
    (:file "_package_GetRobotState" :depends-on ("_package"))
    (:file "GetCollisionObjects" :depends-on ("_package"))
    (:file "_package_GetCollisionObjects" :depends-on ("_package"))
    (:file "GetEnvironmentSafety" :depends-on ("_package"))
    (:file "_package_GetEnvironmentSafety" :depends-on ("_package"))
    (:file "GetRobotTrajectoryValidity" :depends-on ("_package"))
    (:file "_package_GetRobotTrajectoryValidity" :depends-on ("_package"))
    (:file "SetAllowedCollisions" :depends-on ("_package"))
    (:file "_package_SetAllowedCollisions" :depends-on ("_package"))
    (:file "GetJointsInGroup" :depends-on ("_package"))
    (:file "_package_GetJointsInGroup" :depends-on ("_package"))
    (:file "SetConstraints" :depends-on ("_package"))
    (:file "_package_SetConstraints" :depends-on ("_package"))
    (:file "GetStateValidity" :depends-on ("_package"))
    (:file "_package_GetStateValidity" :depends-on ("_package"))
    (:file "GetAllowedCollisionMatrix" :depends-on ("_package"))
    (:file "_package_GetAllowedCollisionMatrix" :depends-on ("_package"))
    (:file "GetJointTrajectoryValidity" :depends-on ("_package"))
    (:file "_package_GetJointTrajectoryValidity" :depends-on ("_package"))
    (:file "GetGroupInfo" :depends-on ("_package"))
    (:file "_package_GetGroupInfo" :depends-on ("_package"))
    ))
